<div class="data-table" oncontextmenu="return false;">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small"
  >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap text-center" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.evaluateInfo.periodName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.evaluateInfo.score' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.evaluateInfo.ratingBefore' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.evaluateInfo.ratingAfter' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;">
      <td class="text-nowrap text-center">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.periodName }}</td>
      <td class="text-nowrap">{{ data?.score }}</td>
      <td class="text-nowrap">{{ data?.ratingBefore}}</td>
      <td class="text-nowrap">{{ data?.ratingAfter}}</td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
